Subject: RE: bug#15455: 24.3.50; wrong defcustom :type for `confirm-kill-emacs'

From: Drew Adams <[email-masked]>
Date: Sun, 9 Feb 2014 22:00:28 -0800 (PST)

> > Also, the doc should not just say that the predicate "should be a
> > predicate function such as `yes-or-no-p'. That is confusing and
> > not very meaningful.  What does it mean to be a predicate "such as
> > `yes-or-no-p'?
> 
> I think examples like that can be helpful, especially with variables
> like `confirm-kill-emacs' that non-experienced Emacs users happen
> upon.

I think what you are suggesting is to correct the language to
say

"If non-nil the value should be a predicate, for example
`yes-or-no-p'."

That would be fine.  The point is that the current language says
that it not only should be a predicate, but a predicate of a
certain kind, namely in some unspecified way similar to
`yes-or-no-p'.  But that is not the case.  The predicate can
check the phase of the moon if you want.